Method for editing custom contact field:
To edit contact field
| PATCH http://one-api.bsg.world/api/contacts/fields/{id} |
It is necessary to pass at least one of the following parameters: name/ description/ is_visiable.
| Parameter | Required | Type | Default | Description |
|---|---|---|---|---|
| id | Yes | integer | No | ID of the custom contact field to edit |
| name | No | string | No | Custom contact field name |
| description | No | string | No | Custom contact field description |
| is_visible | No | boolean | No | Display the field in the personal account in the Contact Book: value true or false |
{
"name": "string"
}
| Parameter | Type | Description |
|---|---|---|
| id | int | Custom contact field ID |
| type | string |
Field type. Possible values:
|
| name | string | Custom contact field name |
| description | null|string | Custom contact field description |
| is_visible | boolean | Display the field in the personal account in the Contact Book: value true or false |
if the request is successful, you will receive a response:
{
"data": {
"id": 26130,
"name": "Страна",
"type": "number",
"description": "The country name",
"is_visible": true
}
}